IBorderAttributes (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IBorderAttributes

-     public interface IBorderAttributes

  Constants for RTF border attribute names.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BORDER_BOTTOM` Constant for border bottom
    `static String` | `BORDER_CHARACTER` Constant for character border (border always appears on all sides)
    `static String` | `BORDER_COLOR` Constant for border color
    `static String` | `BORDER_DASH` Constant for a dashed border
    `static String` | `BORDER_DASH_SMALL` Constant for a small-dashed border
    `static String` | `BORDER_DOT_DASH` Constant for a dot-dashed border
    `static String` | `BORDER_DOT_DOT_DASH` Constant for a dot-dot-dashed border
    `static String` | `BORDER_DOTTED` Constant for a dotted border
    `static String` | `BORDER_DOUBLE` Constant for a double border
    `static String` | `BORDER_DOUBLE_THICKNESS` Constant for a double-thick border
    `static String` | `BORDER_EMBOSS` Constant for an embossed border
    `static String` | `BORDER_ENGRAVE` Constant for an engraved border
    `static String` | `BORDER_HAIRLINE` Constant for a hairline border
    `static String` | `BORDER_LEFT` Constant for border left
    `static String` | `BORDER_NIL` Constant for an nil border
    `static String` | `BORDER_RIGHT` Constant for border right
    `static String` | `BORDER_SHADOWED` Constant for a shadowed border
    `static String` | `BORDER_SINGLE_THICKNESS` Constant for a single-thick border
    `static String` | `BORDER_SPACE` Constant for border space
    `static String` | `BORDER_STRIPED` Constant for a striped border
    `static String` | `BORDER_THIN_THICK_LARGE` Constant for a thin-thick-large border
    `static String` | `BORDER_THIN_THICK_MEDIUM` Constant for a thin-thick-medium border
    `static String` | `BORDER_THIN_THICK_SMALL` Constant for a thin-thick-small border
    `static String` | `BORDER_THIN_THICK_THIN_LARGE` Constant for a thin-thick-thin-large border
    `static String` | `BORDER_THIN_THICK_THIN_MEDIUM` Constant for a thin-thick-thin-medium border
    `static String` | `BORDER_THIN_THICK_THIN_SMALL` Constant for a thin-thick-thin-small border
    `static String` | `BORDER_THINK_THIN_LARGE` Constant for a think-thin-large border
    `static String` | `BORDER_THINK_THIN_MEDIUM` Constant for a think-thin-medium border
    `static String` | `BORDER_THINK_THIN_SMALL` Constant for a think-thin-small border
    `static String` | `BORDER_TOP` Constant for border top
    `static String` | `BORDER_TRIPLE` Constant for a triple border
    `static String` | `BORDER_WAVY` Constant for a wavy border
    `static String` | `BORDER_WAVY_DOUBLE` Constant for a double wavy border
    `static String` | `BORDER_WIDTH` Constant for border width
    `static String[]` | `BORDERS` String array of border attributes

- - ### Field Detail

    - #### BORDER_LEFT

          static final String BORDER_LEFT

      Constant for border left
      See Also:
        Constant Field Values

    - #### BORDER_RIGHT

          static final String BORDER_RIGHT

      Constant for border right
      See Also:
        Constant Field Values

    - #### BORDER_TOP

          static final String BORDER_TOP

      Constant for border top
      See Also:
        Constant Field Values

    - #### BORDER_BOTTOM

          static final String BORDER_BOTTOM

      Constant for border bottom
      See Also:
        Constant Field Values

    - #### BORDER_CHARACTER

          static final String BORDER_CHARACTER

      Constant for character border (border always appears on all sides)
      See Also:
        Constant Field Values

    - #### BORDER_SINGLE_THICKNESS

          static final String BORDER_SINGLE_THICKNESS

      Constant for a single-thick border
      See Also:
        Constant Field Values

    - #### BORDER_DOUBLE_THICKNESS

          static final String BORDER_DOUBLE_THICKNESS

      Constant for a double-thick border
      See Also:
        Constant Field Values

    - #### BORDER_SHADOWED

          static final String BORDER_SHADOWED

      Constant for a shadowed border
      See Also:
        Constant Field Values

    - #### BORDER_DOUBLE

          static final String BORDER_DOUBLE

      Constant for a double border
      See Also:
        Constant Field Values

    - #### BORDER_DOTTED

          static final String BORDER_DOTTED

      Constant for a dotted border
      See Also:
        Constant Field Values

    - #### BORDER_DASH

          static final String BORDER_DASH

      Constant for a dashed border
      See Also:
        Constant Field Values

    - #### BORDER_HAIRLINE

          static final String BORDER_HAIRLINE

      Constant for a hairline border
      See Also:
        Constant Field Values

    - #### BORDER_DASH_SMALL

          static final String BORDER_DASH_SMALL

      Constant for a small-dashed border
      See Also:
        Constant Field Values

    - #### BORDER_DOT_DASH

          static final String BORDER_DOT_DASH

      Constant for a dot-dashed border
      See Also:
        Constant Field Values

    - #### BORDER_DOT_DOT_DASH

          static final String BORDER_DOT_DOT_DASH

      Constant for a dot-dot-dashed border
      See Also:
        Constant Field Values

    - #### BORDER_TRIPLE

          static final String BORDER_TRIPLE

      Constant for a triple border
      See Also:
        Constant Field Values

    - #### BORDER_THINK_THIN_SMALL

          static final String BORDER_THINK_THIN_SMALL

      Constant for a think-thin-small border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_SMALL

          static final String BORDER_THIN_THICK_SMALL

      Constant for a thin-thick-small border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_SMALL

          static final String BORDER_THIN_THICK_THIN_SMALL

      Constant for a thin-thick-thin-small border
      See Also:
        Constant Field Values

    - #### BORDER_THINK_THIN_MEDIUM

          static final String BORDER_THINK_THIN_MEDIUM

      Constant for a think-thin-medium border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_MEDIUM

          static final String BORDER_THIN_THICK_MEDIUM

      Constant for a thin-thick-medium border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_MEDIUM

          static final String BORDER_THIN_THICK_THIN_MEDIUM

      Constant for a thin-thick-thin-medium border
      See Also:
        Constant Field Values

    - #### BORDER_THINK_THIN_LARGE

          static final String BORDER_THINK_THIN_LARGE

      Constant for a think-thin-large border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_LARGE

          static final String BORDER_THIN_THICK_LARGE

      Constant for a thin-thick-large border
      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_LARGE

          static final String BORDER_THIN_THICK_THIN_LARGE

      Constant for a thin-thick-thin-large border
      See Also:
        Constant Field Values

    - #### BORDER_WAVY

          static final String BORDER_WAVY

      Constant for a wavy border
      See Also:
        Constant Field Values

    - #### BORDER_WAVY_DOUBLE

          static final String BORDER_WAVY_DOUBLE

      Constant for a double wavy border
      See Also:
        Constant Field Values

    - #### BORDER_STRIPED

          static final String BORDER_STRIPED

      Constant for a striped border
      See Also:
        Constant Field Values

    - #### BORDER_EMBOSS

          static final String BORDER_EMBOSS

      Constant for an embossed border
      See Also:
        Constant Field Values

    - #### BORDER_ENGRAVE

          static final String BORDER_ENGRAVE

      Constant for an engraved border
      See Also:
        Constant Field Values

    - #### BORDER_NIL

          static final String BORDER_NIL

      Constant for an nil border
      See Also:
        Constant Field Values

    - #### BORDER_COLOR

          static final String BORDER_COLOR

      Constant for border color
      See Also:
        Constant Field Values

    - #### BORDER_SPACE

          static final String BORDER_SPACE

      Constant for border space
      See Also:
        Constant Field Values

    - #### BORDER_WIDTH

          static final String BORDER_WIDTH

      Constant for border width
      See Also:
        Constant Field Values

    - #### BORDERS

          static final String[] BORDERS

      String array of border attributes

Copyright © 2025 Apache Software Foundation. All rights reserved.